Bug 478506 - Review Request: trac-customfieldsadmin-plugin - expose ticket custom fields via web admin interface
Review Request: trac-customfieldsadmin-plugin - expose ticket custom fields v...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 23:51 EST by Jon Stanley
Modified: 2009-07-13 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-13 12:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-12-30 23:51:38 EST
Spec URL: http://jstanley.fedorapeople.org/trac-customfieldsadminplugin.spec
SRPM URL: http://jstanley.fedorapeople.org/trac-customfieldsadmin-plugin-0.1-0.1.svn5073.el5.src.rpm
Description: Trac plugin to expose custom fields via web admin interface rather than directly editing trac.ini
Comment 1 Ian Weller 2009-01-02 11:58:17 EST
I'll take this shortly.
Comment 2 Ian Weller 2009-01-04 00:13:36 EST
Problems:

1. Name of specfile and %name don't match.
2. None of the directory names given in the comments above the Source0 line actually match the directory name used in %setup. (I see "customfieldsadminplugin" and "customfieldsadminplugin-0.10", when both should be "trac-customfieldsadminplugin-0.10".)
3. trac-webadmin-plugin (a Requires) doesn't actually exist anywhere in Fedora. Please submit that package for review and add a dependency from this ticket to that ticket. (I'll review the other one too...)
4. %{__python} setup.py build needs to go in %build.
Comment 3 Ian Weller 2009-01-17 20:29:35 EST
Ping?
Comment 4 Jon Stanley 2009-01-25 01:14:37 EST
1) My bad, that's what I get for tired packaging and reusing an old spec
2) Fixed.
3) Fixed to be trac-webadmin
4) Fixed

Installs fine in mock now:

mock-chroot> rpm -qa | fgrep trac
trac-webadmin-0.1.2-0.3.dev_r4429.fc8.noarch
trac-0.10.5-1.fc10.noarch
trac-customfieldadmin-plugin-0.1-0.2.svn5073.fc10.noarch
mock-chroot>
Comment 6 Jon Stanley 2009-02-13 21:00:45 EST
ping?
Comment 7 Ian Weller 2009-02-13 22:03:06 EST
I'll hopefully be able to get to this tomorrow evening.
Comment 8 Ian Weller 2009-02-15 15:26:51 EST
== FULL REVIEW ==

[  OK  ] specfiles match:
  fcb61fc7a2957865ab2b3e0f135eb732  trac-customfieldadmin-plugin.spec
  fcb61fc7a2957865ab2b3e0f135eb732  trac-customfieldadmin-plugin.spec.1
[FAILED] source files match upstream:
  I can't tell. The instructions included in the specfile to generate the
  tarball don't work.
  svn: '/svn/!svn/bc/5267/customfieldsadminplugin/0.10' path not found
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  N/A ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[      ] debuginfo package looks complete.
[  OK  ] rpmlint is silent.
  It did return:
   trac-customfieldadmin-plugin.noarch: W: no-documentation
   trac-customfieldadmin-plugin.noarch: E: script-without-shebang /usr/lib/python2.5/site-packages/customfieldadmin/htdocs/js/CustomFieldAdminPage_actions.js
  but seeing how it didn't come with documentation and that Javascript files 
  don't have shebangs, I'd ignore it.
[  OK  ] final provides and requires are sane
[  N/A ] %check is present and all tests pass:
[  N/A ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  N/A ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  OK  ] desktop files valid and installed properly.

 -------------------------------------------------------
  I approve this package (trac-customfieldadmin-plugin)
 -------------------------------------------------------
  (just be sure to check on the SVN instructions)
Comment 9 Ian Weller 2009-06-08 01:29:04 EDT
Ping -- can we close this?
Comment 10 Jon Stanley 2009-06-29 20:56:34 EDT
Oops, forgot to do CVS on  this one :)

New Package CVS Request
=======================
Package Name: trac-customfieldadmin-plugin
Short Description: Administer custom fields from web admin interface
Owners: jstanley
Branches: F-10 F-11 EL-5
InitialCC:
Comment 11 Jason Tibbitts 2009-06-30 22:36:49 EDT
CVS done.
Comment 12 Ian Weller 2009-07-13 12:37:39 EDT
Is this imported and ready to close yet? :)
Comment 13 Jon Stanley 2009-07-13 12:45:18 EDT
Imported into F10 and EL-5.  Rawhide and F-11 need another version.  I'll take care of that today hopefully, but closing for now.

Note You need to log in before you can comment on or make changes to this bug.